Method: projects.locations.instances.users.updateTeamAssignment

Moves a User to a different Team. The User must have the SIGNER role. Moving a User that holds key shares triggers resharing of the affected keys.

HTTP request

POST https://mpc.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*/users/*}:updateTeamAssignment

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the User to move. Format: projects/{project}/locations/{location}/instances/{instance}/users/{user} It takes the form projects/{project}/locations/{location}/instances/{instance}/users/{user}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "team": string
}
Fields
team

string

Required. The resource name of the Team to move the User to. Format: projects/{project}/locations/{location}/instances/{instance}/teams/{team}

Response body

If successful, the response body contains an instance of User.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.